Set a property to a product
Set a property to a product
Required permissions: PRODUCT
post/tenants/{tenantUid}/products/{productUid}/properties
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
productUidstringRequiredPattern:
Reference to a Product.
^[A-Za-z0-9-_]+tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Body
Add a new product option to a product. If a property is of type TEXT, propertyText is mandatory, else propertyOptionUid is mandatory
propertyUidstringRequiredPattern:
^[A-Za-z0-9-_]+propertyOptionUidstringOptionalPattern:
^[A-Za-z0-9-_]+propertyTextstringOptional
productPropertyUidstringOptionalPattern:
^[A-Za-z0-9-_]+Responses
200
Example response
application/json
productPropertyUidstringRequiredPattern:
^[A-Za-z0-9-_]+propertyNamestringRequired
propertyOptionNamestringRequired
propertyTypestring · enumRequired
Possible values:
Describes the type of property a product can have.
| ENUM | Description |
|---|---|
| TEXT | A single text line such as an URL to a product manual or a reminder to the cashier/salesperson. |
| SINGLESELECT | A list of values where a product can only have one at any given time. |
| MULTISELECT | A list of values where a product can have none or several at any given time. |
propertyTextstringOptional
Only in use with TEXT properties.
propertyUidstringRequiredPattern:
^[A-Za-z0-9-_]+propertyOptionUidstringRequiredPattern:
^[A-Za-z0-9-_]+requiredbooleanRequired
post/tenants/{tenantUid}/products/{productUid}/properties
POST /v2/tenants/{tenantUid}/products/{productUid}/properties HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 99
{
"propertyUid": "text",
"propertyOptionUid": "text",
"propertyText": "text",
"productPropertyUid": "text"
}200
Example response
{
"productPropertyUid": "text",
"propertyName": "text",
"propertyOptionName": "text",
"propertyType": "TEXT",
"propertyText": "text",
"propertyUid": "text",
"propertyOptionUid": "text",
"required": true
}Last updated
Was this helpful?

